PHD(1)

NAME
phd - The (PH)P Based (D)ocbook Renderer

SYNOPSIS
phd [options] [-d|--docbook] xmlfilename

DESCRIPTION
PhD is a Docbook rendering engine, aiming to replace Docbook-XSL and various other requirements needed to build the PHP.net documentation. The goal of PhD is to become a general purpose Docbook rendering engine, just much much faster the other Docbook toolchains.

phd bundles several output format in different packages, where the Generic package offers standard output without customization. The PHP package for example is highly customized for the PHP.net documentations and is not intended to be used outside of PHP.net.

OPTIONS
A summary of options is included below.

-h, --help
    Show summary of options.

-V, --version
    Show version of program.

-v, --verbose int
    Adjusts the verbosity level.

-P, --package packagename
    Specifies the package which should be used by the rendering process (i.e. customization strategy).

-f, --format formatname
    Specifies the output format to create.

-d, --docbook xmlfilename
    The XML file (DocBook) to render from.

-l, --list
    Lists all available packages and output formats.

AUTHOR
phd was written by <The PHP Documentation Team>